Check Compliance Status
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/compliance_check \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/compliance_check"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/compliance_check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"has_issues": true,
"warnings": [
{
"type": "<string>",
"document_type": "<string>",
"document_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"blocking": [
{
"type": "<string>",
"document_type": "<string>",
"document_type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}Compliance
Check Compliance Status
Check compliance status for a job assignment.
Requires compliance_read permission.
GET
/
v1
/
companies
/
{company-id}
/
compliance_check
Check Compliance Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Company ID
Query Parameters
Account ID to check vendor compliance
User ID to check driver compliance
Equipment ID to check equipment compliance
Response
OK
Show child attributes
Show child attributes
⌘I